> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/inbound-process/receipts.md).

# Receipts

A receipt that describes that goods are received

The `receipt` is a sub-entity of the `inboundProcess` which maps all processes around incoming goods in a store or warehouse. Whenever a `receipt` is created, a corresponding `inboundProcess` is automatically created.

Create a `receipt` by executing the following POST call with the JSON body:

### Create receipt

To create , use our API endpoints.

{% tabs %}
{% tab title="Create new receipt (creates new inbound process)" %}

```http
POST https://{YOUR_TENANT_NAME}.api.fulfillmenttools.com/api/receipts
```

{% endtab %}
{% endtabs %}

Example request body:

{% code title="request.json" %}

```json
{
  "facilityRef": "CGN-01",
  "comments": [],
  "receivedDate": "2025-03-16T14:15:39.683Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "value": 100
      },
      "comments": [],
      "rejectedQuantity": {
        "value": 0
      },
      "storageLocationRef": "2f45a441-6247-4b7d-babe-83fca0ff4bf7",
      "tenantArticleId": "22222"
    }
  ],
  "status": "OPEN"
}
```

{% endcode %}

{% hint style="info" %}
If the request is successful, the API returns a `201 CREATED` response with a body similar to the example below.
{% endhint %}

{% code title="Response (example)" %}

```json
{
  "comments": [],
  "receivedDate": "2025-03-16T14:15:39.683Z",
  "receivedItems": [
    {
      "acceptedQuantity": {
        "value": 100
      },
      "comments": [],
      "rejectedQuantity": {
        "value": 0
      },
      "storageLocationRef": "Inbound-01",
      "tenantArticleId": "22222",
      "stockProperties": {}
    }
  ],
  "status": "OPEN",
  "id": "6e963526-09af-45f1-9ac7-add78e3e2607",
  "inboundProcessRef": "7060a93e-e0d5-4dd4-8478-50acbd07189b",
  "created": "2025-03-12T16:16:28.543Z",
  "lastModified": "2025-03-12T16:16:28.543Z",
  "version": 1
}
```

{% endcode %}

Alternatively, a `receipt` can be created simultaneously when creating the respective `inboundProcess` via:

```http
POST https://{YOUR-TENANT-NAME}.fulfillmenttools.com/api/inboundprocesses
```

or can be added to an existing `inboundProcess` via:

```http
PUT https://{YOUR-TENANT-NAME}.fulfillmenttools.com/api/inboundprocesses/{inboundProcessId}/receipts.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/inbound-process/receipts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
